Bug 1396151 - Rotate /var/log/suricata/eve.json
Summary: Rotate /var/log/suricata/eve.json
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: suricata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 15:19 UTC by Jason Ish
Modified: 2017-02-22 14:51 UTC (History)
5 users (show)

Fixed In Version: suricata-3.2.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:51:12 UTC
Type: Bug


Attachments (Terms of Use)
Patch to rotate eve.json. (594 bytes, application/mbox)
2016-11-17 15:19 UTC, Jason Ish
no flags Details

Description Jason Ish 2016-11-17 15:19:37 UTC
Created attachment 1221594 [details]
Patch to rotate eve.json.

Description of problem:

Suricata logs to /var/log/suricata/eve.json by default, but the packaged suricata.logrotate only rotates *.log.

Comment 1 Steve Grubb 2017-02-13 14:43:54 UTC
Thanks for reporting the issue. Fixed in the suricata-3.2-1 build.

Comment 2 Fedora Update System 2017-02-13 15:03:15 UTC
suricata-3.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d118c5820e

Comment 3 Fedora Update System 2017-02-13 15:03:26 UTC
suricata-3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-272ded2e71

Comment 4 Fedora Update System 2017-02-13 15:03:36 UTC
suricata-3.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6776778fe7

Comment 5 Fedora Update System 2017-02-13 23:19:26 UTC
suricata-3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-272ded2e71

Comment 6 Fedora Update System 2017-02-13 23:50:06 UTC
suricata-3.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6776778fe7

Comment 7 Fedora Update System 2017-02-14 00:54:08 UTC
suricata-3.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d118c5820e

Comment 8 Fedora Update System 2017-02-16 19:35:27 UTC
suricata-3.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e1a030633

Comment 9 Fedora Update System 2017-02-17 21:18:43 UTC
suricata-3.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e1a030633

Comment 10 Fedora Update System 2017-02-22 14:51:12 UTC
suricata-3.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.